## pike-public.protocols.syslog 1.1-2

=== debian/changelog ===
pike-public.protocols.syslog (1.1-2) unstable; urgency=low

  * Depend on pike 7.6.61 which fixes the dynamic_module_makefile issue

 -- Marek Habersack <grendel@debian.org>  Fri, 30 Dec 2005 15:53:24 +0100

pike-public.protocols.syslog (1.1-1) unstable; urgency=low

  * Initial release Closes: Bug#342018

 -- Marek Habersack <grendel@debian.org>  Sun,  4 Dec 2005 20:44:08 +0100
