=== debian/control ===
Source: pike-public.protocols.syslog
Priority: optional
Maintainer: Marek Habersack <grendel@debian.org>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, pike7.6-dev (>= 7.6.61)
Standards-Version: 3.6.2.1
Section: interpreters

Package: pike-public.protocols.syslog
Section: interpreters
Architecture: all
Depends: pike7.6-public.protocols.syslog (= ${Source-Version})
Description: Pike module implementing the Syslog protocol (default)
 This is a dependency package that depends on the Debian's default Pike
 version.
 .
 Pike is an interpreted, object-oriented, dynamic programming language
 with a syntax similar to C. It includes many powerful data types and
 a module system that, for instance, provides image manipulation together,
 with support for graphics formats like SVG, JPG, PNG, GIF, XCF and many
 others,  database connectivity, advanced cryptography, XML/HTML parsers
 and others. To learn more about pike, please visit http://pike.ida.liu.se/
 Note that some of the  Pike features are found in other pike7.6-* packages 
 (image processing, mysql, postgresql, sane and more).

Package: pike7.6-public.protocols.syslog
Section: interpreters
Architecture: all
Depends: ${pike76:name}-core (>= ${pike76:ver}-1), ${pike76:name}-core (<= ${pike76:ver}-99)
Description: Pike module implementing the Syslog protocol
 A Pike module containing functions for decoding and encoding Syslog
 messages.
 .
 Pike is an interpreted, object-oriented, dynamic programming language
 with a syntax similar to C. It includes many powerful data types and
 a module system that, for instance, provides image manipulation together,
 with support for graphics formats like SVG, JPG, PNG, GIF, XCF and many
 others,  database connectivity, advanced cryptography, XML/HTML parsers
 and others. To learn more about pike, please visit http://pike.ida.liu.se/
 Note that some of the  Pike features are found in other pike7.6-* packages 
 (image processing, mysql, postgresql, sane and more).
