## pike-public.protocols.syslog 1.1-3build1

=== debian/changelog ===
pike-public.protocols.syslog (1.1-3build1) edgy; urgency=low

  * Rebuild for pike7.6-core dependency

 -- Andrew Mitchell <ajmitch@ubuntu.com>  Thu,  5 Oct 2006 23:18:33 +1300

pike-public.protocols.syslog (1.1-3) unstable; urgency=low

  * New pike dependency

 -- Marek Habersack <grendel@debian.org>  Tue, 31 Jan 2006 22:53:32 +0100
