## pike-public.protocols.syslog 1.1-5

=== debian/changelog ===
pike-public.protocols.syslog (1.1-5) unstable; urgency=low

  * New pike dependency
  * Uninstallable due to unmet dep on pike7.6-core (<= 7.6.87-99)
    (Closes: #393013)

 -- Marek Habersack <grendel@debian.org>  Sat, 14 Oct 2006 21:54:07 +0200

pike-public.protocols.syslog (1.1-4) unstable; urgency=low

  * New Pike dependency
  * uninstallable in unstable (pike7.6 too new) (Closes: #369629)

 -- Marek Habersack <grendel@debian.org>  Thu, 10 Aug 2006 12:22:33 +0200
