=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pike-public.protocols.syslog
 Priority: optional
 Maintainer: Marek Habersack <grendel@debian.org>
-Build-Depends: debhelper (>= 4.0.0), autotools-dev, pike7.6-dev (>= 7.6.67)
+Build-Depends: debhelper (>= 4.0.0), autotools-dev, pike7.6-dev (>= 7.6.87)
 Standards-Version: 3.6.2.1
 Section: interpreters
