## pike-public.protocols.syslog 1.1-5build1

=== debian/changelog ===
pike-public.protocols.syslog (1.1-5build1) feisty; urgency=low

  * Rebuild against pike7.6-core 7.6.93-1

 -- Vassilis Pandis <pandisv@yahoo.co.uk>  Sun, 31 Dec 2006 12:07:36 +0200
