## pike-public.protocols.syslog 1.1-6

=== debian/changelog ===
pike-public.protocols.syslog (1.1-6) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #411682
  * s/licences/licenses in debian/copyright
  * Add missing binary-arch target to debian/rules
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Thu,  8 Mar 2007 08:20:52 +0100
