=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: pike-public.protocols.syslog
 Priority: optional
-Maintainer: Marek Habersack <grendel@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.0.0), autotools-dev, pike7.6-dev (>= 7.6.87)
-Standards-Version: 3.6.2.1
+Standards-Version: 3.7.2
 Section: interpreters
 
 Package: pike-public.protocols.syslog
