=== debian/rules ===
--- 
+++ 
@@ -105,5 +105,8 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-binary: binary-indep
-.PHONY: build clean binary-indep binary install 
+binary-arch: build install
+# nothing to do
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-arch binary-indep binary install
